# Uses of Interface
org.opensaml.saml.saml2.core.ArtifactResolve

Packages that use ArtifactResolve
Package
Description
org.opensaml.saml.saml2.binding.decoding.impl
SAML 2.0 message decoders.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.profile.impl
Implementations of SAML 2.0 profile behavior.
org.opensaml.saml.saml2.testing

## Uses of ArtifactResolve in org.opensaml.saml.saml2.binding.decoding.impl

Methods in org.opensaml.saml.saml2.binding.decoding.impl that return ArtifactResolve
Modifier and Type
Method
Description
`private ArtifactResolve`
HTTPArtifactDecoder.`buildArtifactResolveRequestMessage(SAML2Artifact artifact, String endpoint, RoleDescriptor peerRoleDescriptor, String selfEntityID)`
Build the SAML protocol message for artifact resolution.

## Uses of ArtifactResolve in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement ArtifactResolve
Modifier and Type
Class
Description
`class`
`ArtifactResolveImpl`
Concrete implementation of `ArtifactResolve`.
Methods in org.opensaml.saml.saml2.core.impl that return ArtifactResolve
Modifier and Type
Method
Description
`ArtifactResolve`
ArtifactResolveBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`ArtifactResolve`
ArtifactResolveBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

## Uses of ArtifactResolve in org.opensaml.saml.saml2.profile.impl

Fields in org.opensaml.saml.saml2.profile.impl with type parameters of type ArtifactResolve
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,ArtifactResolve>`
ResolveArtifact.`requestLookupStrategy`
Strategy used to locate the `ArtifactResolve` to operate on.
Method parameters in org.opensaml.saml.saml2.profile.impl with type arguments of type ArtifactResolve
Modifier and Type
Method
Description
`void`
ResolveArtifact.`setRequestLookupStrategy(Function<ProfileRequestContext,ArtifactResolve> strategy)`
Set the strategy used to locate the `ArtifactResolve` to operate on.

## Uses of ArtifactResolve in org.opensaml.saml.saml2.testing

Methods in org.opensaml.saml.saml2.testing that return ArtifactResolve
Modifier and Type
Method
Description
`static ArtifactResolve`
SAML2ActionTestingSupport.`buildArtifactResolve(String artifact)`
Builds a `ArtifactResolve`.